Bug 1125288 - API doesn't return correct "last_modified" value
Summary: API doesn't return correct "last_modified" value
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Valentin Gologuzov
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 13:45 UTC by Jakub Dorňák
Modified: 2016-12-01 00:58 UTC (History)
3 users (show)

Fixed In Version: copr-frontend-1.41-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-18 14:27:55 UTC


Attachments (Terms of Use)

Description Jakub Dorňák 2014-07-31 13:45:10 UTC
Description of problem:
Copr API doesn't return correct "last_modified" value.

Version-Release number of selected component (if applicable):
current

How reproducible:
all copr projects I've tried

Steps to Reproduce:
1. check Copr detail:
# curl 2>/dev/null http://copr-fe.cloud.fedoraproject.org/api/coprs/rhscl/mariadb55/detail/ | grep last_modified

Actual results:
"last_modified": null,

Aditional information:
This breaks softwarecollections.org.

Comment 1 Valentin Gologuzov 2014-08-14 14:04:36 UTC
Should be fixed after this commit https://git.fedorahosted.org/cgit/copr.git/commit/?id=9a5e20ed33ad5db127b12d324c25a43b98ca5c90

Dev server was already updated.

Comment 2 Miroslav Suchý 2014-08-18 14:27:55 UTC
Already deployed to prod.


Note You need to log in before you can comment on or make changes to this bug.